
Redmine - Defect #3114

Text formatting is not applied in activity page

2009-04-03 11:33 - Damien Couderc

Status: Closed Start date: 2009-04-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.2

Description

The Textile formatting in ticket description is not processed when listed in the activity page.

Related issues:

Related to Redmine - Defect #17916: Activity page not showing proper bullet p... Closed

Has duplicate Redmine - Defect #11852: No text formatting in the "activity" view Closed

Has duplicate Redmine - Feature #12854: Activity view: referenced tickets sho... Closed

History

#1 - 2009-04-03 11:34 - Damien Couderc

You can see the problem by looking this ticket in the activity page, you will see 'Textile' surrounded by underscores instead of being in italics.

#2 - 2009-04-04 10:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Actually, it's not a defect.

There are 2 reasons for that:

it would make the activity view much slower

applying textile on truncated text may produce unexpected results

#3 - 2009-07-30 10:12 - Anthony Cartmell

Wouldn't it be possible to calculate the textile-formatted text once when adding the new activity to the database, and storing that as an additional field

for the activity? AFAICT the Description is never changed once added, and storing the additional shortened text wouldn't take much additional space.

The problem with truncated text could be fixed using something like http://mikeburnscoder.wordpress.com/2006/11/11/truncating-html-in-ruby/

Not a big problem, but would be nice to fix.

(Thanks for creating such a really nice application!)

#4 - 2013-01-15 22:22 - Jean-Philippe Lang

- Subject changed from Textile formatting is not applied in activity page to Text formatting is not applied in activity page

#5 - 2014-09-19 14:21 - Toshi MARUYAMA

- Related to Defect #17916: Activity page not showing proper bullet points of content added

#6 - 2014-10-23 09:53 - Toshi MARUYAMA

- Has duplicate Feature #18163: Activity entry when a file is added to an issue added

#7 - 2014-10-23 10:01 - Toshi MARUYAMA

- Has duplicate deleted (Feature #18163: Activity entry when a file is added to an issue)
